Package net.commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceSyncData

java.lang.Object
net.commoble.jumbofurnace.jumbo_furnace.JumboFurnaceSyncData

All Implemented Interfaces:
  `net.minecraft.world.inventory.ContainerData`

public class JumboFurnaceSyncData extends Object implements net.minecraft.world.inventory.ContainerData

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceSyncData(JumboFurnaceCoreBlockEntity te)`

## Method Summary

Modifier and Type
Method
Description
`int`
`get(int index)`
`int`
`getCount()`
`void`
`set(int index, int value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JumboFurnaceSyncData

public JumboFurnaceSyncData(JumboFurnaceCoreBlockEntity te)

## Method Details

### get

public int get(int index)

Specified by:
  `get` in interface `net.minecraft.world.inventory.ContainerData`

### set

public void set(int index, int value)

Specified by:
  `set` in interface `net.minecraft.world.inventory.ContainerData`

### getCount

public int getCount()

Specified by:
  `getCount` in interface `net.minecraft.world.inventory.ContainerData`